Skip to main content
GET
/
v2
/
accounts
List accounts
curl --request GET \
  --url https://api.range.org/v2/accounts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "bje5mmbqxjvwjaf7oxwpyxntxdyspzZyt4vwennw5rug",
      "name": "Treasury wallet",
      "type": "eoa",
      "tags": [
        "defi",
        "hot-wallet"
      ],
      "provider": "ledger, kraken, wallet, ...",
      "groups": [
        {
          "id": "uuid-1",
          "name": "Finance"
        }
      ],
      "status": "active",
      "balances": [
        {
          "asset": "USDC",
          "amount": "100.50",
          "updated_at": "2024-01-01T00:00:00.000Z",
          "usd": "100.50"
        }
      ],
      "details": {
        "network": "solana",
        "address": "BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG",
        "funded_by": {
          "sender": "<string>",
          "tx_hash": "<string>",
          "tx_time": "<string>"
        }
      }
    }
  ],
  "meta": {
    "next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "total_count": 100,
    "page_number": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.range.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor for the next page of results

Example:

"workspace1-solana-BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG"

size
number
default:50
Required range: 1 <= x <= 1000
Example:

50

group_id
string

Filter accounts by membership in a specific group (account_groups.id)

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

type
enum<string>
Available options:
eoa,
multisig,
contract,
custodian,
exchange,
bank
Example:

"bank"

provider
enum<string>

Filter to accounts held under a connection of this provider

Available options:
utila,
kraken,
plaid
Example:

"utila"

chain
string

Network/chain identifier (e.g. ethereum, solana, stellar)

Example:

"ethereum"

connection_id
string
Example:

"utila-123"

Response

200 - application/json
items
object[]
required
meta
object
required
Last modified on May 15, 2026